Package org.eclipse.ecf.remoteservice

# Interface IRemoteServiceRegistration

All Known Subinterfaces:
  `IExtendedRemoteServiceRegistration`

All Known Implementing Classes:
  `AbstractRestClientContainer.RestRemoteServiceClientRegistration`, `AbstractRSAClientContainer.RSAClientRegistration`, `RemoteServiceClientRegistration`, `RemoteServiceRegistrationImpl`, `RemoteServiceRegistrationImpl`, `RSARemoteServiceContainerAdapter.RSARemoteServiceRegistration`

public interface IRemoteServiceRegistration
Remote service registration. The remote service registration is returned to the caller when the IServiceContainer.registerService method is called. The registering bundle can then use the registration instance to unregister the service

## Method Summary

Modifier and Type
Method
Description
`ClassLoader`
`getClassLoader()`
`ID`
`getContainerID()`
Get the container ID for the registration
`IRemoteServiceID`
`getID()`
Get the remote service ID for this registration.
`Object`
`getProperty(String key)`
Get property associated with given key
`String[]`
`getPropertyKeys()`
Get property keys for registered service
`IRemoteServiceReference`
`getReference()`
Get reference for this registration
`void`
`setProperties(Dictionary properties)`
Set the properties for the registered service
`void`
`unregister()`
Unregister this service

## Method Details

### getID

IRemoteServiceID getID()
Get the remote service ID for this registration. Will not return `null`.

Returns:
  IRemoteServiceID the id for the remote service associated with this registration.
Since:
  3.0

### getContainerID

ID getContainerID()
Get the container ID for the registration

Returns:
  ID of the local container. Will not be `null` .

### getReference

IRemoteServiceReference getReference()
Get reference for this registration

Returns:
  IRemoteServiceReference for this registration. Will not be `null`.

### setProperties

void setProperties(Dictionary properties)
Set the properties for the registered service

Parameters:
  `properties` - to set. Must not be `null`.

### getProperty

Object getProperty(String key)
Get property associated with given key

Parameters:
  `key` - the key of the property. Must not be `null`.
Returns:
  Object the property value. `null` if property not found.

### getPropertyKeys

String[] getPropertyKeys()
Get property keys for registered service

Returns:
  String [] with property keys. Will not be null, but may be empty array.

### unregister

void unregister()
Unregister this service

### getClassLoader

ClassLoader getClassLoader()

Since:
  8.14